Benutzerhandbuch
Version 1.9 — Rev. 3

# Serverprotokoll

### Dateiname

#### Beschreibung

Gibt den Pfad für die Protokolldatei an.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT sein kann.

#### Tipps

Performance Legen Sie die Protokolldatei auf einem separaten Datenträger ab.

### Protokollstufe

#### Beschreibung

Gibt die Protokollstufe an, die in die Protokolldatei aufgenommen wird. Verfügbare Stufen (von hoch bis niedrig) sind: ERROR, WARNING, NOTICE, INFO und DEBUG. Nur Meldungen mit einer Stufe, die höher oder gleich der aktuellen Einstellung ist, werden protokolliert.

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Performance Die Verwendung der Protokollstufe DEBUG hat keine Leistungsauswirkung, sofern Debug-Stufe nicht auf eine andere Stufe als NONE gesetzt ist. Es wird empfohlen, Log Level auf DEBUG und Debug Level auf NONE zu setzen. Diese Einstellungen verhindern, dass Debug-Protokolle die Festplatte füllen, erlauben aber weiterhin die Aktion Debug-Protokollierung umschalten zur Steuerung der Debug-Ausgabe.

#### Siehe auch

Debug-Stufe

### Debug-Stufe

#### Beschreibung

Gibt die Stufe der Debug-Protokollierung an. Protokollstufe muss auf DEBUG gesetzt sein, um diese Funktion zu verwenden. Die Debug-Protokollierung ist deaktiviert, wenn "Debug Level" auf NONE gesetzt ist, auch wenn Protokollstufe auf DEBUG gesetzt ist. Debug-Protokollierung umschalten kann verwendet werden, um die Debug-Stufe auf einem laufenden Server ohne Neustart zu steuern.

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Performance Wichtig! Setzen Sie dies immer auf NONE, wenn Sie keine detaillierte Debug-Protokollierung benötigen. Aktive Debug-Protokollierung beeinträchtigt die Dienstleistung erheblich und kann den Speicherplatz in sehr kurzer Zeit füllen. Die Debug-Protokollierung enthält detaillierte Informationen zu jeder Anfrage und Antwort.
Es wird empfohlen, Log Level auf DEBUG und Debug Level auf NONE zu setzen. Diese Einstellungen verhindern, dass Debug-Protokolle die Festplatte füllen, erlauben aber weiterhin die Aktion Debug-Protokollierung umschalten zur Steuerung der Debug-Ausgabe.

#### Siehe auch

Protokollstufe, Debug-Protokollierung umschalten

### Rotationsgröße (Byte)

#### Beschreibung

Gibt an, wann die aktuelle Protokolldatei rotiert werden muss. Wenn die Dateigröße das Rotationslimit überschreitet, wird die aktive Protokolldatei im selben Verzeichnis in log_name.mm_dd_yyyy(.sequence) umbenannt und eine neue aktive Protokolldatei erstellt. Die tatsächliche Größe der rotierten Datei kann etwas größer als dieses Limit sein. Setzen Sie den Wert auf 0, um die Protokollrotation zu deaktivieren.

#### Syntax

Ganzzahl

#### Tipps

Information Hängen Sie "K", "M" oder "G" an die Zahl an, um Kilo-, Mega- und Gigabyte anzugeben.

### Aufbewahrungstage

#### Beschreibung

Gibt an, wie viele Tage die Zugriffsprotokolldatei auf der Festplatte aufbewahrt wird. Nur rotierte Protokolldateien, die älter als die angegebene Anzahl von Tagen sind, werden gelöscht. Die aktuelle Protokolldatei wird nicht verändert, unabhängig davon, wie viele Tage Daten sie enthält. Wenn veraltete und sehr alte Protokolldateien nicht automatisch gelöscht werden sollen, setzen Sie dies auf 0.

#### Syntax

Ganzzahl

### Archiv komprimieren

#### Beschreibung

Gibt an, ob rotierte Protokolldateien komprimiert werden sollen, um Speicherplatz zu sparen.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Information Protokolldateien lassen sich stark komprimieren; diese Option wird empfohlen, um den Speicherbedarf alter Protokolle zu reduzieren.

### stderr-Protokoll aktivieren

#### Beschreibung

Gibt an, ob beim Empfang von stderr-Ausgabe von durch den Server gestarteten Prozessen in das Protokoll geschrieben werden soll.
Wenn aktiviert, werden stderr-Meldungen im selben Verzeichnis wie das Serverprotokoll mit dem festen Namen "stderr.log" protokolliert. Wenn deaktiviert, wird die gesamte stderr-Ausgabe verworfen.
Funktionen wie PHPs error_log(), die nicht direkt nach stderr (Dateihandle 2) schreiben, sind von dieser Einstellung nicht betroffen und schreiben in die Datei, die in der PHP-ini-Direktive 'error_log' festgelegt ist, oder in die Datei "error.log" des Servers mit dem Tag '[STDERR]', wenn diese Direktive nicht gesetzt ist.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Information Aktivieren Sie dies, wenn Sie konfigurierte externe Anwendungen debuggen müssen, z. B. PHP, Ruby, Java, Python oder Perl.

### Dateiname

#### Beschreibung

Der Dateiname des Zugriffsprotokolls.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT sein kann.

#### Tipps

Performance Legen Sie die Zugriffsprotokolldatei auf einem separaten Datenträger ab.

### Piped Logger

#### Beschreibung

Gibt die externe Anwendung an, die die von LiteSpeed über eine Pipe an ihren STDIN-Stream gesendeten Zugriffsprotokolldaten empfängt (Dateihandle ist 0). Wenn dieses Feld angegeben ist, wird das Zugriffsprotokoll nur an die Logger-Anwendung gesendet und nicht an die in der vorherigen Eingabe angegebene Zugriffsprotokolldatei.
Die Logger-Anwendung muss zuerst im Abschnitt Externe Anwendungen definiert werden. Zugriffsprotokollierung auf Serverebene kann nur eine externe Logger-Anwendung verwenden, die auf Serverebene definiert ist. Zugriffsprotokollierung auf Ebene des virtuellen Hosts kann nur eine Logger-Anwendung verwenden, die auf Ebene des virtuellen Hosts definiert ist.
Der Logger-Prozess wird genauso gestartet wie andere externe Prozesse (CGI/FastCGI/LSAPI). Das bedeutet, dass er mit der Benutzer-ID ausgeführt wird, die in den Set-UID-Modus externer Apps-Einstellungen des virtuellen Hosts angegeben ist, und niemals im Namen eines privilegierten Benutzers ausgeführt wird.
LiteSpeed web server führt eine einfache Lastverteilung zwischen mehreren Logger-Anwendungen durch, wenn mehr als eine Instanz konfiguriert ist. Der LiteSpeed-Server versucht stets, die Anzahl der Logger-Anwendungen so niedrig wie möglich zu halten. Nur wenn eine Logger-Anwendung Zugriffsprotokolleinträge nicht rechtzeitig verarbeitet, versucht der Server, eine weitere Instanz zu starten.
Wenn ein Logger abstürzt, startet der Webserver eine weitere Instanz, aber die Protokolldaten im Stream-Puffer gehen verloren. Protokolldaten können verloren gehen, wenn externe Logger mit Geschwindigkeit und Umfang des Protokollstroms nicht Schritt halten können.

#### Syntax

Aus Dropdown-Liste auswählen

### Protokollformat

#### Beschreibung

Gibt das Format für das Zugriffsprotokoll an. Wenn das Protokollformat gesetzt ist, überschreibt es die Einstellung Protokoll-Header.

#### Syntax

Zeichenfolge. Die Syntax des Protokollformats ist mit dem benutzerdefinierten Protokollformat von Apache 2.0 kompatibel.

#### Beispiel

Common Log Format (CLF)
"%h %l %u %t \"%r\" %>s %b"
Common Log Format with Virtual Host
"%v %h %l %u %t \"%r\" %>s %b"
NCSA extended/combined log format
"%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\"
Log cookie value of Foobar
"%{Foobar}C"

#### Siehe auch

Protokoll-Header

### Protokoll-Header

#### Beschreibung

Gibt an, ob HTTP-Anfrageheader protokolliert werden sollen: Referer, UserAgent und Host.

#### Syntax

Per Kontrollkästchen auswählen

#### Tipps

Performance Deaktivieren Sie dies, wenn Sie diese Header im Zugriffsprotokoll nicht benötigen.

#### Siehe auch

Protokollformat